package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.VideoAddCmd;
import com.zcloud.primeport.dto.VideoPageQry;
import com.zcloud.primeport.dto.VideoUpdateCmd;
import com.zcloud.primeport.dto.clientobject.VideoCO;

/**
 * web-client
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:31
 */
public interface VideoServiceI {
    PageResponse<VideoCO> listPage(VideoPageQry qry);

    SingleResponse<VideoCO> add(VideoAddCmd cmd);

    void edit(VideoUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    VideoCO getInfoById(Long id);
}

